Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.datasource
Class PreparedStatementWrapper

    java.lang.Object
      |
      +--com.solarmetric.datasource.StatementWrapper
            |
            +--com.solarmetric.datasource.PreparedStatementWrapper

All Implemented Interfaces:
  PreparedStatement, Statement

public class PreparedStatementWrapper
extends StatementWrapper
implements PreparedStatement

Wrapper around an existing `PreparedStatement`. Subclasses can override those methods whose behavior they want to change.

Inner classes inherited from class com.solarmetric.datasource.StatementWrapper
`StatementWrapper.Statistics`

Fields inherited from class com.solarmetric.datasource.StatementWrapper
`_connectionWrapper, _doLog, _ds, _rs`

Constructor Summary
`PreparedStatementWrapper(DataSourceImpl ds, ConnectionWrapper connectionWrapper, PreparedStatement stmnt)`

Method Summary
`void` | `addBatch()`
`void` | `clearParameters()`
`boolean` | `execute()`
`ResultSet` | `executeQuery()`
`int` | `executeUpdate()`
`PreparedStatement` | `getBasePreparedStatement()` Return the underlying data store prepared statement.
`ResultSetMetaData` | `getMetaData()`
`ParameterMetaData` | `getParameterMetaData()`
`PreparedStatement` | `getPreparedStatement()` Return the wrapped prepared statement.
`String` | `getSql()`
`void` | `setArray(int i, Array a)`
`void` | `setAsciiStream(int i1, InputStream is, int i2)`
`void` | `setBigDecimal(int i, BigDecimal bd)`
`void` | `setBinaryStream(int i1, InputStream is, int i2)`
`void` | `setBlob(int i, Blob b)`
`void` | `setBoolean(int i, boolean b)`
`void` | `setByte(int i, byte b)`
`void` | `setBytes(int i, byte[] b)`
`void` | `setCharacterStream(int i1, Reader r, int i2)`
`void` | `setClob(int i, Clob c)`
`void` | `setDate(int i, Date d)`
`void` | `setDate(int i, Date d, Calendar c)`
`void` | `setDouble(int i, double d)`
`void` | `setFloat(int i, float f)`
`void` | `setInt(int i1, int i2)`
`void` | `setLong(int i, long l)`
`void` | `setNull(int i1, int i2)`
`void` | `setNull(int i1, int i2, String s)`
`void` | `setObject(int i, Object o)`
`void` | `setObject(int i1, Object o, int i2)`
`void` | `setObject(int i1, Object o, int i2, int i3)`
`void` | `setRef(int i, Ref r)`
`void` | `setShort(int i, short s)`
`void` | `setSql(String val)`
`void` | `setString(int i, String s)`
`void` | `setTime(int i, Time t)`
`void` | `setTime(int i, Time t, Calendar c)`
`void` | `setTimestamp(int i, Timestamp t)`
`void` | `setTimestamp(int i, Timestamp t, Calendar c)`
`void` | `setUnicodeStream(int i1, InputStream is, int i2)`
`void` | `setURL(int i, URL u)`

Methods inherited from class com.solarmetric.datasource.StatementWrapper
`addBatch, cancel, checkClosed, checkExecuteQueryBugs, checkResultSetClosed, clearBatch, clearWarnings, close, equals, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getBaseStatement, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getStatement, getUpdateCount, getWarnings, hashCode, isClosed, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, executeBatch, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Constructor Detail

### PreparedStatementWrapper

    public PreparedStatementWrapper(DataSourceImpl ds,
                                    ConnectionWrapper connectionWrapper,
                                    PreparedStatement stmnt)
                             throws SQLException

Method Detail

### getPreparedStatement

    public PreparedStatement getPreparedStatement()

  Return the wrapped prepared statement.

### getBasePreparedStatement

    public PreparedStatement getBasePreparedStatement()

  Return the underlying data store prepared statement.

### setSql

    public void setSql(String val)

### getSql

    public String getSql()

### executeQuery

    public ResultSet executeQuery()
                           throws SQLException

  Specified by:
    `executeQuery` in interface `PreparedStatement`

### executeUpdate

    public int executeUpdate()
                      throws SQLException

  Specified by:
    `executeUpdate` in interface `PreparedStatement`

### setNull

    public void setNull(int i1,
                        int i2)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`

### setBoolean

    public void setBoolean(int i,
                           boolean b)
                    throws SQLException

  Specified by:
    `setBoolean` in interface `PreparedStatement`

### setByte

    public void setByte(int i,
                        byte b)
                 throws SQLException

  Specified by:
    `setByte` in interface `PreparedStatement`

### setShort

    public void setShort(int i,
                         short s)
                  throws SQLException

  Specified by:
    `setShort` in interface `PreparedStatement`

### setInt

    public void setInt(int i1,
                       int i2)
                throws SQLException

  Specified by:
    `setInt` in interface `PreparedStatement`

### setLong

    public void setLong(int i,
                        long l)
                 throws SQLException

  Specified by:
    `setLong` in interface `PreparedStatement`

### setFloat

    public void setFloat(int i,
                         float f)
                  throws SQLException

  Specified by:
    `setFloat` in interface `PreparedStatement`

### setDouble

    public void setDouble(int i,
                          double d)
                   throws SQLException

  Specified by:
    `setDouble` in interface `PreparedStatement`

### setBigDecimal

    public void setBigDecimal(int i,
                              BigDecimal bd)
                       throws SQLException

  Specified by:
    `setBigDecimal` in interface `PreparedStatement`

### setString

    public void setString(int i,
                          String s)
                   throws SQLException

  Specified by:
    `setString` in interface `PreparedStatement`

### setBytes

    public void setBytes(int i,
                         byte[] b)
                  throws SQLException

  Specified by:
    `setBytes` in interface `PreparedStatement`

### setDate

    public void setDate(int i,
                        Date d)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`

### setTime

    public void setTime(int i,
                        Time t)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`

### setAsciiStream

    public void setAsciiStream(int i1,
                               InputStream is,
                               int i2)
                        throws SQLException

  Specified by:
    `setAsciiStream` in interface `PreparedStatement`

### setUnicodeStream

    public void setUnicodeStream(int i1,
                                 InputStream is,
                                 int i2)
                          throws SQLException

  Specified by:
    `setUnicodeStream` in interface `PreparedStatement`

### setBinaryStream

    public void setBinaryStream(int i1,
                                InputStream is,
                                int i2)
                         throws SQLException

  Specified by:
    `setBinaryStream` in interface `PreparedStatement`

### clearParameters

    public void clearParameters()
                         throws SQLException

  Specified by:
    `clearParameters` in interface `PreparedStatement`

### setObject

    public void setObject(int i1,
                          Object o,
                          int i2,
                          int i3)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`

### setObject

    public void setObject(int i1,
                          Object o,
                          int i2)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`

### setObject

    public void setObject(int i,
                          Object o)
                   throws SQLException

  Specified by:
    `setObject` in interface `PreparedStatement`

### execute

    public boolean execute()
                    throws SQLException

  Specified by:
    `execute` in interface `PreparedStatement`

### addBatch

    public void addBatch()
                  throws SQLException

  Specified by:
    `addBatch` in interface `PreparedStatement`

### setCharacterStream

    public void setCharacterStream(int i1,
                                   Reader r,
                                   int i2)
                            throws SQLException

  Specified by:
    `setCharacterStream` in interface `PreparedStatement`

### setRef

    public void setRef(int i,
                       Ref r)
                throws SQLException

  Specified by:
    `setRef` in interface `PreparedStatement`

### setBlob

    public void setBlob(int i,
                        Blob b)
                 throws SQLException

  Specified by:
    `setBlob` in interface `PreparedStatement`

### setClob

    public void setClob(int i,
                        Clob c)
                 throws SQLException

  Specified by:
    `setClob` in interface `PreparedStatement`

### setArray

    public void setArray(int i,
                         Array a)
                  throws SQLException

  Specified by:
    `setArray` in interface `PreparedStatement`

### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

  Specified by:
    `getMetaData` in interface `PreparedStatement`

### setDate

    public void setDate(int i,
                        Date d,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setDate` in interface `PreparedStatement`

### setTime

    public void setTime(int i,
                        Time t,
                        Calendar c)
                 throws SQLException

  Specified by:
    `setTime` in interface `PreparedStatement`

### setTimestamp

    public void setTimestamp(int i,
                             Timestamp t,
                             Calendar c)
                      throws SQLException

  Specified by:
    `setTimestamp` in interface `PreparedStatement`

### setNull

    public void setNull(int i1,
                        int i2,
                        String s)
                 throws SQLException

  Specified by:
    `setNull` in interface `PreparedStatement`

### setURL

    public void setURL(int i,
                       URL u)
                throws SQLException

### getParameterMetaData

    public ParameterMetaData getParameterMetaData()
                                           throws SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.